# IFSelect_EditValue.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | IFSelect_EditValue { IFSelect_Optional, IFSelect_Editable, IFSelect_EditProtected, IFSelect_EditComputed, IFSelect_EditRead, IFSelect_EditDynamic }
| Indicates whether there will be information on warnings as well as on failures. The terms of this enumeration have the following semantics: - IFSelect_FailOnly gives information on failures only - IFSelect_FailAndWarn gives information on both failures and warnings. used to pilot PrintCheckList . More...

## Enumeration Type Documentation

enum IFSelect_EditValue

Enumeration values:

  IFSelect_Optional |
  IFSelect_Editable |
  IFSelect_EditProtected |
  IFSelect_EditComputed |
  IFSelect_EditRead |
  IFSelect_EditDynamic |